
QGIS Application - Bug report #21678

QGIS 3.4.6 cannot find GRASS 7.6.1 on Windows

2019-03-26 02:37 PM - Daan Goedkoop

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:3.4.6 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29494

Description

As the title says: QGIS 3.4.6 cannot find GRASS 7.6.1 on Windows OSGeo4W.

The symptom is the same as in issue #21367.

The cause seems to be, that GRASS 7.6.0 was installed in C:\OSGeo4W64\apps\grass\grass-7.6.0, whereas the new version is installed

in C:\OSGeo4W64\apps\grass\grass76. Renaming that folder to "grass-7.6.1" makes things work again, as does downgrading to the

package grass-7.6.0-2.

Related issues:

Duplicates QGIS Application - Bug report # 21672: [osgeo4w] qgis-xxx-grass fi... Closed 2019-03-25

History

#1 - 2019-03-26 03:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

This should be posted also/or in the osgeo4w bug tracker.

#2 - 2019-03-26 06:41 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed

#3 - 2019-03-26 06:41 PM - Jürgen Fischer

- Duplicates Bug report #21672: [osgeo4w] qgis-xxx-grass file name has changed added
